## org.apache.poi.hwpf.model.types
Class FibRgW97AbstractType

    java.lang.Object
      org.apache.poi.hwpf.model.types.FibRgW97AbstractType

    @Internal
    public abstract class FibRgW97AbstractType

extends java.lang.Object

The FibRgW97 structure is a variable-length portion of the Fib.

Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/types/definitions.

This class is internal. It content or properties may change without notice due to changes in our knowledge of internal Microsoft Word binary structures.

Author:
  Sergey Vladimirov; according to Microsoft Office Word 97-2007 Binary File Format Specification [*.doc] and [MS-DOC] - v20110608 Word (.doc) Binary File Format

Field Summary
`protected short` `field_1_reserved1` Deprecated.
`protected short` `field_10_reserved10` Deprecated.
`protected short` `field_11_reserved11` Deprecated.
`protected short` `field_12_reserved12` Deprecated.
`protected short` `field_13_reserved13` Deprecated.
`protected short` `field_14_lidFE`
`protected short` `field_2_reserved2` Deprecated.
`protected short` `field_3_reserved3` Deprecated.
`protected short` `field_4_reserved4` Deprecated.
`protected short` `field_5_reserved5` Deprecated.
`protected short` `field_6_reserved6` Deprecated.
`protected short` `field_7_reserved7` Deprecated.
`protected short` `field_8_reserved8` Deprecated.
`protected short` `field_9_reserved9` Deprecated.

Constructor Summary
`protected` `FibRgW97AbstractType()`

Method Summary
`protected void` `fillFields(byte[] data, int offset)`
`short` `getLidFE()` A LID whose meaning depends on the nFib value.
`short` `getReserved1()` This value is undefined and MUST be ignored.
`short` `getReserved10()` This value is undefined and MUST be ignored.
`short` `getReserved11()` This value is undefined and MUST be ignored.
`short` `getReserved12()` This value is undefined and MUST be ignored.
`short` `getReserved13()` This value is undefined and MUST be ignored.
`short` `getReserved2()` This value is undefined and MUST be ignored.
`short` `getReserved3()` This value is undefined and MUST be ignored.
`short` `getReserved4()` This value is undefined and MUST be ignored.
`short` `getReserved5()` This value is undefined and MUST be ignored.
`short` `getReserved6()` This value is undefined and MUST be ignored.
`short` `getReserved7()` This value is undefined and MUST be ignored.
`short` `getReserved8()` This value is undefined and MUST be ignored.
`short` `getReserved9()` This value is undefined and MUST be ignored.
`static int` `getSize()` Size of record
`byte[]` `serialize()`
`void` `serialize(byte[] data, int offset)`
`void` `setLidFE(short field_14_lidFE)` A LID whose meaning depends on the nFib value.
`void` `setReserved1(short field_1_reserved1)` This value is undefined and MUST be ignored.
`void` `setReserved10(short field_10_reserved10)` This value is undefined and MUST be ignored.
`void` `setReserved11(short field_11_reserved11)` This value is undefined and MUST be ignored.
`void` `setReserved12(short field_12_reserved12)` This value is undefined and MUST be ignored.
`void` `setReserved13(short field_13_reserved13)` This value is undefined and MUST be ignored.
`void` `setReserved2(short field_2_reserved2)` This value is undefined and MUST be ignored.
`void` `setReserved3(short field_3_reserved3)` This value is undefined and MUST be ignored.
`void` `setReserved4(short field_4_reserved4)` This value is undefined and MUST be ignored.
`void` `setReserved5(short field_5_reserved5)` This value is undefined and MUST be ignored.
`void` `setReserved6(short field_6_reserved6)` This value is undefined and MUST be ignored.
`void` `setReserved7(short field_7_reserved7)` This value is undefined and MUST be ignored.
`void` `setReserved8(short field_8_reserved8)` This value is undefined and MUST be ignored.
`void` `setReserved9(short field_9_reserved9)` This value is undefined and MUST be ignored.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### field_1_reserved1

    @Deprecated
    protected short field_1_reserved1

  Deprecated.

### field_2_reserved2

    @Deprecated
    protected short field_2_reserved2

  Deprecated.

### field_3_reserved3

    @Deprecated
    protected short field_3_reserved3

  Deprecated.

### field_4_reserved4

    @Deprecated
    protected short field_4_reserved4

  Deprecated.

### field_5_reserved5

    @Deprecated
    protected short field_5_reserved5

  Deprecated.

### field_6_reserved6

    @Deprecated
    protected short field_6_reserved6

  Deprecated.

### field_7_reserved7

    @Deprecated
    protected short field_7_reserved7

  Deprecated.

### field_8_reserved8

    @Deprecated
    protected short field_8_reserved8

  Deprecated.

### field_9_reserved9

    @Deprecated
    protected short field_9_reserved9

  Deprecated.

### field_10_reserved10

    @Deprecated
    protected short field_10_reserved10

  Deprecated.

### field_11_reserved11

    @Deprecated
    protected short field_11_reserved11

  Deprecated.

### field_12_reserved12

    @Deprecated
    protected short field_12_reserved12

  Deprecated.

### field_13_reserved13

    @Deprecated
    protected short field_13_reserved13

  Deprecated.

### field_14_lidFE

    protected short field_14_lidFE

Constructor Detail

### FibRgW97AbstractType

    protected FibRgW97AbstractType()

Method Detail

### fillFields

    protected void fillFields(byte[] data,
                              int offset)

### serialize

    public void serialize(byte[] data,
                          int offset)

### serialize

    public byte[] serialize()

### getSize

    public static int getSize()

  Size of record

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getReserved1

    @Internal
    public short getReserved1()

  This value is undefined and MUST be ignored.

### setReserved1

    @Internal
    public void setReserved1(short field_1_reserved1)

  This value is undefined and MUST be ignored.

### getReserved2

    @Internal
    public short getReserved2()

  This value is undefined and MUST be ignored.

### setReserved2

    @Internal
    public void setReserved2(short field_2_reserved2)

  This value is undefined and MUST be ignored.

### getReserved3

    @Internal
    public short getReserved3()

  This value is undefined and MUST be ignored.

### setReserved3

    @Internal
    public void setReserved3(short field_3_reserved3)

  This value is undefined and MUST be ignored.

### getReserved4

    @Internal
    public short getReserved4()

  This value is undefined and MUST be ignored.

### setReserved4

    @Internal
    public void setReserved4(short field_4_reserved4)

  This value is undefined and MUST be ignored.

### getReserved5

    @Internal
    public short getReserved5()

  This value is undefined and MUST be ignored.

### setReserved5

    @Internal
    public void setReserved5(short field_5_reserved5)

  This value is undefined and MUST be ignored.

### getReserved6

    @Internal
    public short getReserved6()

  This value is undefined and MUST be ignored.

### setReserved6

    @Internal
    public void setReserved6(short field_6_reserved6)

  This value is undefined and MUST be ignored.

### getReserved7

    @Internal
    public short getReserved7()

  This value is undefined and MUST be ignored.

### setReserved7

    @Internal
    public void setReserved7(short field_7_reserved7)

  This value is undefined and MUST be ignored.

### getReserved8

    @Internal
    public short getReserved8()

  This value is undefined and MUST be ignored.

### setReserved8

    @Internal
    public void setReserved8(short field_8_reserved8)

  This value is undefined and MUST be ignored.

### getReserved9

    @Internal
    public short getReserved9()

  This value is undefined and MUST be ignored.

### setReserved9

    @Internal
    public void setReserved9(short field_9_reserved9)

  This value is undefined and MUST be ignored.

### getReserved10

    @Internal
    public short getReserved10()

  This value is undefined and MUST be ignored.

### setReserved10

    @Internal
    public void setReserved10(short field_10_reserved10)

  This value is undefined and MUST be ignored.

### getReserved11

    @Internal
    public short getReserved11()

  This value is undefined and MUST be ignored.

### setReserved11

    @Internal
    public void setReserved11(short field_11_reserved11)

  This value is undefined and MUST be ignored.

### getReserved12

    @Internal
    public short getReserved12()

  This value is undefined and MUST be ignored.

### setReserved12

    @Internal
    public void setReserved12(short field_12_reserved12)

  This value is undefined and MUST be ignored.

### getReserved13

    @Internal
    public short getReserved13()

  This value is undefined and MUST be ignored.

### setReserved13

    @Internal
    public void setReserved13(short field_13_reserved13)

  This value is undefined and MUST be ignored.

### getLidFE

    @Internal
    public short getLidFE()

  A LID whose meaning depends on the nFib value.

### setLidFE

    @Internal
    public void setLidFE(short field_14_lidFE)

  A LID whose meaning depends on the nFib value.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.